# jQuery Loader  
## Create loader covers easily.
jQuery plugin to create and toggle "loader" elements.
Also has an option for errors, whereby loading animation freezes, 
and any given error content is displayed where the loader message
usually is.  

### Examples:  
```
// Setup a loader on the element
$('#selector').loader();

// Same as above, but with pre-rendered content
$('#selector').loader("create", 'content'|$(elem)|function() {});

// Show loader
$('#selector').loader("show");
// Show loader, but update the content
$('#selector').loader("show", 'content'|$(elem)|function() {});

// Hide loader
$('#selector').loader("hide");

// Toggle loader (show/hide)
$('#selector').loader("toggle");
```

### Notes:  
When passing content, a raw `'string'`, a jQuery object `$()`, or a `function`, may be passed.  
`'string'` content will simply be inserted within a `<p>` element.  
jQuery objects will be inserted via `.append()`.  
`function`s will have their return `.append`ed to the content.  